Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclMutex Class Reference

`#include <oscl_mutex.h>`

Inheritance diagram for OsclMutex:

## Public Methods
OSCL_IMPORT_REF | OsclMutex ()
virtual OSCL_IMPORT_REF | ~OsclMutex ()
OSCL_IMPORT_REF OsclProcStatus::eOsclProcError | Create (void)
OSCL_IMPORT_REF void | Lock ()
OSCL_IMPORT_REF OsclProcStatus::eOsclProcError | TryLock ()
OSCL_IMPORT_REF void | Unlock ()
OSCL_IMPORT_REF OsclProcStatus::eOsclProcError | Close (void)

## Detailed Description

Class OsclMutex

## Constructor & Destructor Documentation

OSCL_IMPORT_REF OsclMutex::OsclMutex | ( |  | ) |

| Class constructor

virtual OSCL_IMPORT_REF OsclMutex::~OsclMutex | ( |  | ) | `[virtual]`

| Class destructor

## Member Function Documentation

OSCL_IMPORT_REF OsclProcStatus::eOsclProcError OsclMutex::Close | ( | void |  | ) |

  | Closes the Mutex Parameters:
  It | wont take any prameters
Returns: Returns the Error whether it is success or failure. Incase of failure it will return what is the specific error

OSCL_IMPORT_REF OsclProcStatus::eOsclProcError OsclMutex::Create | ( | void |  | ) |

  | Creates the Mutex Parameters:
  No | input arguments
Returns: Returns the Error whether it is success or failure. Incase of failure it will return what is the specific error

OSCL_IMPORT_REF void OsclMutex::Lock | ( |  | ) | `[virtual]`

  | Locks the Mutex Parameters:
  It | wont take any parameters
Returns: Returns nothing Implements OsclLockBase.

OSCL_IMPORT_REF OsclProcStatus::eOsclProcError OsclMutex::TryLock | ( |  | ) |

  | Try to lock the mutex,if the Mutex is already locked calling thread immediately returns with out blocking Parameters:
  It | wont take any parameters
Returns: Returns SUCCESS_ERROR if the mutex was acquired, MUTEX_LOCKED_ERROR if the mutex cannot be acquired without waiting, or an error code if the operation failed. Note: this function may not be supported on all platforms, and may return NOT_IMPLEMENTED.

OSCL_IMPORT_REF void OsclMutex::Unlock | ( |  | ) | `[virtual]`

  | Releases the Mutex Parameters:
  It | wont take any parameters
Returns: Returns nothing Implements OsclLockBase.

The documentation for this class was generated from the following file:

- oscl_mutex.h